edu.msu.cme.rdp.classifier.comparison

## Class PixelCalculatorBean

- java.lang.Object
- - edu.msu.cme.rdp.classifier.comparison.PixelCalculatorBean

    public class PixelCalculatorBean
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`PixelCalculatorBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getNumOfChildren()`
`java.lang.String` `getRank()`
`java.lang.String` `getS1GifPercent()`
`java.lang.String` `getS1PercentStr()`
`java.lang.String` `getS2GifPercent()`
`java.lang.String` `getS2PercentStr()`
`boolean` `isSignificant()`
`void` `setS1Total(int total)`
`void` `setS2Total(int total)`
`void` `setTaxon(Taxon t)`
`void` `setTaxonList(java.util.Iterator it)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PixelCalculatorBean

    public PixelCalculatorBean()

### Method Detail

#### setS1Total

    public void setS1Total(int total)

#### setS2Total

    public void setS2Total(int total)

#### setTaxonList

    public void setTaxonList(java.util.Iterator it)

#### getNumOfChildren

    public int getNumOfChildren()

#### getRank

    public java.lang.String getRank()

#### setTaxon

    public void setTaxon(Taxon t)

#### getS1PercentStr

    public java.lang.String getS1PercentStr()

#### getS2PercentStr

    public java.lang.String getS2PercentStr()

#### getS1GifPercent

    public java.lang.String getS1GifPercent()

#### getS2GifPercent

    public java.lang.String getS2GifPercent()

#### isSignificant

    public boolean isSignificant()